local BarTaskLogic = require("bar.BarTaskLogic")

-- 查询酒馆任务
function CG_BARTASK_QUERY(human)
	BarTaskLogic.query(human)
end

-- 刷新酒馆任务
function CG_BARTASK_REFRESH(human)
	BarTaskLogic.refresh(human)
end

-- 任务查询
function CG_BARTASK_GET_QUERY(human, msg)
	BarTaskLogic.getQuery(human, msg.taskID)
end

-- 星级所有奖励展示
function CG_BARTASK_REWARD_QUERY(human, msg)
	BarTaskLogic.rewardQuery(human, msg.star)
end

-- 领取任务
function CG_BARTASK_GET_DO(human, msg)
	BarTaskLogic.getDo(human, msg.taskID, msg.heroIndexList, msg.heroIDList)
end

-- 加速完成任务
function CG_BARTASK_QUICK_FINISH(human, msg)
	BarTaskLogic.quickFinish(human, msg.taskID)
end

-- 提交任务
function CG_BARTASK_FINISH_TASK(human, msg)
	BarTaskLogic.finishTask(human, msg.taskID)
end

function CG_BARTASK_CHOOSE_REWARD(human, msg)
	BarTaskLogic.chooseReward(human, msg.taskID, msg.index)
end

-- 一键领取
function CG_BARTASK_FINISH_ALL(human)
	BarTaskLogic.CG_BARTASK_FINISH_ALL(human)
end


-- 设置 "自动领取紫色以上任务"
function CG_BARTASK_SET_OP(human, msg)
	BarTaskLogic.UpdateOP(human, msg.op)
end